<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header_chl.inc.php";

if (!empty($_REQUEST['group_id'])) { // page under group section
    //ACS check
	if (!$group_acs->checkPermission($c_acs['arr_acs']['resource']['group_channels'], $c_acs['arr_acs']['privilege']['allow_access'])) { //resourece_id, Priv_id
		header("Location: g_group.php?group_id=" . $_REQUEST['group_id']."&".SID);
		exit;
	}
}




if (!empty($_REQUEST['group_id'])) { // group section
	//get group channels
	$channel->group_id = $_REQUEST['group_id'];
	$output_channels = $channel->selChannels();
}
elseif (!empty($output_profile)) { // social network section
	//get user channels
	$channel->group_id = 0;
	$channel->user_id = $output_profile['user_id'];
	$output_channels = $channel->selChannels();
} 
else { //me
	//get my channels
	$channel->group_id = 0;
	$channel->user_id = $me['user_id'];
	$output_channels = $channel->selChannels();
}



//move vars to template
if (!empty($output_profile)) {
	$body->set('profile', $output_profile);
}

if (!empty($output_channels)) {
	$body->set('channels', $output_channels);
}

if (!empty($output_group)) {
	$body->set('group', $output_group);
}

$template_pageLink = $lang['txt_channels'];

include "inc/footer.inc.php";

?>